- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
GLM_GTX_normal: Compute normals
GTX Extensions (Experimental)

## Functions
template<typename T >
detail::tvec3< T > | triangleNormal (detail::tvec3< T > const &p1, detail::tvec3< T > const &p2, detail::tvec3< T > const &p3)

## Detailed Description

Compute the normal of a triangle.

<glm/gtx/normal.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tvec3<T> glm::triangleNormal | ( | detail::tvec3< T > const & | p1,
|  | detail::tvec3< T > const & | p2,
|  | detail::tvec3< T > const & | p3
| ) |  |

Computes triangle normal from triangle points.

From GLM_GTX_normal extension.